﻿// -*- C++ -*-
// <rtc-template block="description">
/*!
 * @file  HumanDetectionTest.cpp
 * @brief ModuleDescription (test code)
 *
 */
// </rtc-template>

#include "HumanDetectionTest.h"

// Module specification
// <rtc-template block="module_spec">
#if RTM_MAJOR_VERSION >= 2
static const char* const humandetection_spec[] =
#else
static const char* humandetection_spec[] =
#endif
  {
    "implementation_id", "HumanDetectionTest",
    "type_name",         "HumanDetectionTest",
    "description",       "ModuleDescription",
    "version",           "2.0.0",
    "vendor",            "meijo univ.",
    "category",          "Sensor",
    "activity_type",     "PERIODIC",
    "kind",              "DataFlowComponent",
    "max_instance",      "1",
    "language",          "C++",
    "lang_type",         "compile",
    ""
  };
// </rtc-template>

/*!
 * @brief constructor
 * @param manager Maneger Object
 */
HumanDetectionTest::HumanDetectionTest(RTC::Manager* manager)
    // <rtc-template block="initializer">
  : RTC::DataFlowComponentBase(manager),
    m_Face_PoseIn("Face_Pose", m_Face_Pose),
    m_Right_Hand_PoseIn("Right_Hand_Pose", m_Right_Hand_Pose),
    m_Left_Hand_PoseIn("Left_Hand_Pose", m_Left_Hand_Pose),
    m_Skeleton_PoseIn("Skeleton_Pose", m_Skeleton_Pose)

    // </rtc-template>
{
}

/*!
 * @brief destructor
 */
HumanDetectionTest::~HumanDetectionTest()
{
}



RTC::ReturnCode_t HumanDetectionTest::onInitialize()
{
  // Registration: InPort/OutPort/Service
  // <rtc-template block="registration">
  // Set InPort buffers
  addInPort("Face_Pose", m_Face_PoseIn);
  addInPort("Right_Hand_Pose", m_Right_Hand_PoseIn);
  addInPort("Left_Hand_Pose", m_Left_Hand_PoseIn);
  addInPort("Skeleton_Pose", m_Skeleton_PoseIn);
  
  // Set OutPort buffer
  
  // Set service provider to Ports
  
  // Set service consumers to Ports
  
  // Set CORBA Service Ports
  
  // </rtc-template>

  // <rtc-template block="bind_config">
  // </rtc-template>
  
  return RTC::RTC_OK;
}

/*
RTC::ReturnCode_t HumanDetectionTest::onFinalize()
{
  return RTC::RTC_OK;
}
*/


//RTC::ReturnCode_t HumanDetectionTest::onStartup(RTC::UniqueId /*ec_id*/)
//{
//  return RTC::RTC_OK;
//}


//RTC::ReturnCode_t HumanDetectionTest::onShutdown(RTC::UniqueId /*ec_id*/)
//{
//  return RTC::RTC_OK;
//}


RTC::ReturnCode_t HumanDetectionTest::onActivated(RTC::UniqueId /*ec_id*/)
{
  return RTC::RTC_OK;
}


RTC::ReturnCode_t HumanDetectionTest::onDeactivated(RTC::UniqueId /*ec_id*/)
{
  return RTC::RTC_OK;
}


RTC::ReturnCode_t HumanDetectionTest::onExecute(RTC::UniqueId /*ec_id*/)
{
  return RTC::RTC_OK;
}


//RTC::ReturnCode_t HumanDetectionTest::onAborting(RTC::UniqueId /*ec_id*/)
//{
//  return RTC::RTC_OK;
//}


//RTC::ReturnCode_t HumanDetectionTest::onError(RTC::UniqueId /*ec_id*/)
//{
//  return RTC::RTC_OK;
//}


//RTC::ReturnCode_t HumanDetectionTest::onReset(RTC::UniqueId /*ec_id*/)
//{
//  return RTC::RTC_OK;
//}


//RTC::ReturnCode_t HumanDetectionTest::onStateUpdate(RTC::UniqueId /*ec_id*/)
//{
//  return RTC::RTC_OK;
//}


//RTC::ReturnCode_t HumanDetectionTest::onRateChanged(RTC::UniqueId /*ec_id*/)
//{
//  return RTC::RTC_OK;
//}


bool HumanDetectionTest::runTest()
{
    return true;
}


extern "C"
{
 
  void HumanDetectionTestInit(RTC::Manager* manager)
  {
    coil::Properties profile(humandetection_spec);
    manager->registerFactory(profile,
                             RTC::Create<HumanDetectionTest>,
                             RTC::Delete<HumanDetectionTest>);
  }
  
}
